Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Static Public Attributes | Protected Attributes | List of all members
AppShell Class Reference
Inheritance diagram for AppShell:

## Public Member Functions
| __init__ (self, parent=None, **kw)
| addVariable (self, category, text, variable)
| addWidget (self, category, text, widget)
| WIDGET UTILITY FUNCTIONS ##.
| alignbuttons (self)
| appInit (self)
| USER METHODS ### To be overridden.
| balloon (self)
| bind (self, child, balloonHelpMsg, statusHelpMsg=None)
| buttonAdd (self, buttonName, helpMessage=None, statusMessage=None, **kw)
| buttonBox (self)
| createInterface (self)
| createMenuBar (self)
| createWidget (self, parent, category, text, widgetClass, help, command, side, fill, expand, kw)
| getVariable (self, category, text)
| getWidget (self, category, text)
| interior (self)
| messageBar (self)
| newCreateButton (self, parent, category, text, help='', command=None, side=LEFT, fill=X, expand=0, **kw)
| newCreateCheckbutton (self, parent, category, text, help='', command=None, initialState=0, anchor=W, side=LEFT, fill=X, expand=0, **kw)
| newCreateColorEntry (self, parent, category, text, help='', command=None, side=LEFT, fill=X, expand=0, **kw)
| newCreateComboBox (self, parent, category, text, help='', command=None, items=[], state=DISABLED, history=0, labelpos=W, label_anchor=W, label_width=16, entry_width=16, side=LEFT, fill=X, expand=0, **kw)
| newCreateDial (self, parent, category, text, help='', command=None, side=LEFT, fill=X, expand=0, **kw)
| newCreateEntryScale (self, parent, category, text, help='', command=None, side=LEFT, fill=X, expand=0, **kw)
| newCreateFloater (self, parent, category, text, help='', command=None, side=LEFT, fill=X, expand=0, **kw)
| newCreateLabeledEntry (self, parent, category, text, help='', command=None, value='', width=12, relief=SUNKEN, side=LEFT, fill=X, expand=0)
| newCreateOptionMenu (self, parent, category, text, help='', command=None, items=[], labelpos=W, label_anchor=W, label_width=16, menu_tearoff=1, side=LEFT, fill=X, expand=0, **kw)
| newCreateRadiobutton (self, parent, category, text, variable, value, command=None, help='', anchor=W, side=LEFT, fill=X, expand=0, **kw)
| newCreateSider (self, parent, category, text, help='', command=None, side=LEFT, fill=X, expand=0, **kw)
| newCreateVector2Entry (self, parent, category, text, help='', command=None, side=LEFT, fill=X, expand=0, **kw)
| newCreateVector3Entry (self, parent, category, text, help='', command=None, side=LEFT, fill=X, expand=0, **kw)
| onDestroy (self, event)
| quit (self)
| showAbout (self)
| toggleBalloon (self)
| transformRGB (self, rgb, max=1.0)
| updateProgress (self, newValue=0, newMax=0)
Public Member Functions inherited from DirectObject
| __init__ (self)
| accept (self, event, method, extraArgs=[])
| acceptOnce (self, event, method, extraArgs=[])
| addTask (self, *args, **kwargs)
| detectLeaks (self)
| doMethodLater (self, *args, **kwargs)
| getAllAccepting (self)
| ignore (self, event)
| ignoreAll (self)
| isAccepting (self, event)
| isIgnoring (self, event)
| removeAllTasks (self)
| removeTask (self, taskOrName)

## Public Attributes
| about
| dataArea
str | id = self.appname + '-' + repr(AppShell.panelCount)
| menuBar
| menuFrame = Frame(self._hull)
| onDestroy
| parent = Toplevel()
| toggleBalloonVar = IntVar()
dict | variableDict = {}
dict | widgetDict = {}

## Static Public Attributes
str | appname = 'Generic Application Frame'
str | appversion = '1.0'
str | balloonState = 'none'
str | contactemail = 'Mark.Mine@disney.com'
str | contactname = 'Mark R. Mine'
str | contactphone = '(818) 544-2921'
tuple | copyright
int | frameHeight = 320
int | frameWidth = 450
int | padx = 5
int | pady = 5
int | panelCount = 0
int | usecommandarea = 0
int | usestatusarea = 0
Static Public Attributes inherited from DirectObject
| accept_once = acceptOnce
| add_task = addTask
| detect_leaks = detectLeaks
| do_method_later = doMethodLater
| get_all_accepting = getAllAccepting
| ignore_all = ignoreAll
| is_accepting = isAccepting
| is_ignoring = isIgnoring
| remove_all_tasks = removeAllTasks
| remove_task = removeTask

## Protected Attributes
| _hull = self.component('hull')
Protected Attributes inherited from DirectObject
dict | _taskList = {}

## Additional Inherited Members
Protected Member Functions inherited from DirectObject
| _addTask (self, task)
| _clearTask (self, task)

## Constructor & Destructor Documentation

## ◆ __init__()

__init__ | ( |  | self,
|  |  | parent = None,
|  | ** | kw )

## Member Function Documentation

## ◆ addVariable()

addVariable | ( |  | self,
|  |  | category,
|  |  | text,
|  |  | variable )

## ◆ addWidget()

addWidget | ( |  | self,
|  |  | category,
|  |  | text,
|  |  | widget )

WIDGET UTILITY FUNCTIONS ##.

Reimplemented in MopathRecorder.

## ◆ alignbuttons()

alignbuttons | ( |  | self | ) |

     Make all buttons wide as widest

## ◆ appInit()

appInit | ( |  | self | ) |

USER METHODS ### To be overridden.

Reimplemented in DirectSessionPanel, FSMInspector, MopathRecorder, ParticlePanel, and Placer.

## ◆ balloon()

balloon | ( |  | self | ) |

## ◆ bind()

bind | ( |  | self,
|  |  | child,
|  |  | balloonHelpMsg,
|  |  | statusHelpMsg = None )

## ◆ buttonAdd()

buttonAdd | ( |  | self,
|  |  | buttonName,
|  |  | helpMessage = None,
|  |  | statusMessage = None,
|  | ** | kw )

## ◆ buttonBox()

buttonBox | ( |  | self | ) |

## ◆ createInterface()

createInterface | ( |  | self | ) |

Reimplemented in AnimPanel, DirectSessionPanel, FSMInspector, MopathRecorder, ParticlePanel, Placer, TaskManagerPanel, and TestAppShell.

## ◆ createMenuBar()

createMenuBar | ( |  | self | ) |

## ◆ createWidget()

createWidget | ( |  | self,
|  |  | parent,
|  |  | category,
|  |  | text,
|  |  | widgetClass,
|  |  | help,
|  |  | command,
|  |  | side,
|  |  | fill,
|  |  | expand,
|  |  | kw )

## ◆ getVariable()

getVariable | ( |  | self,
|  |  | category,
|  |  | text )

Reimplemented in MopathRecorder, and ParticlePanel.

## ◆ getWidget()

getWidget | ( |  | self,
|  |  | category,
|  |  | text )

Reimplemented in MopathRecorder, and ParticlePanel.

## ◆ interior()

interior | ( |  | self | ) |

## ◆ messageBar()

messageBar | ( |  | self | ) |

## ◆ newCreateButton()

newCreateButton | ( |  | self,
|  |  | parent,
|  |  | category,
|  |  | text,
|  |  | help = '',
|  |  | command = None,
|  |  | side = LEFT,
|  |  | fill = X,
|  |  | expand = 0,
|  | ** | kw )

     createButton(parent, category, text, [options])

## ◆ newCreateCheckbutton()

newCreateCheckbutton | ( |  | self,
|  |  | parent,
|  |  | category,
|  |  | text,
|  |  | help = '',
|  |  | command = None,
|  |  | initialState = 0,
|  |  | anchor = W,
|  |  | side = LEFT,
|  |  | fill = X,
|  |  | expand = 0,
|  | ** | kw )

     createCheckbutton(parent, category, text, [options])

## ◆ newCreateColorEntry()

newCreateColorEntry | ( |  | self,
|  |  | parent,
|  |  | category,
|  |  | text,
|  |  | help = '',
|  |  | command = None,
|  |  | side = LEFT,
|  |  | fill = X,
|  |  | expand = 0,
|  | ** | kw )

## ◆ newCreateComboBox()

newCreateComboBox | ( |  | self,
|  |  | parent,
|  |  | category,
|  |  | text,
|  |  | help = '',
|  |  | command = None,
|  |  | items = [],
|  |  | state = DISABLED,
|  |  | history = 0,
|  |  | labelpos = W,
|  |  | label_anchor = W,
|  |  | label_width = 16,
|  |  | entry_width = 16,
|  |  | side = LEFT,
|  |  | fill = X,
|  |  | expand = 0,
|  | ** | kw )

## ◆ newCreateDial()

newCreateDial | ( |  | self,
|  |  | parent,
|  |  | category,
|  |  | text,
|  |  | help = '',
|  |  | command = None,
|  |  | side = LEFT,
|  |  | fill = X,
|  |  | expand = 0,
|  | ** | kw )

## ◆ newCreateEntryScale()

newCreateEntryScale | ( |  | self,
|  |  | parent,
|  |  | category,
|  |  | text,
|  |  | help = '',
|  |  | command = None,
|  |  | side = LEFT,
|  |  | fill = X,
|  |  | expand = 0,
|  | ** | kw )

## ◆ newCreateFloater()

newCreateFloater | ( |  | self,
|  |  | parent,
|  |  | category,
|  |  | text,
|  |  | help = '',
|  |  | command = None,
|  |  | side = LEFT,
|  |  | fill = X,
|  |  | expand = 0,
|  | ** | kw )

## ◆ newCreateLabeledEntry()

newCreateLabeledEntry | ( |  | self,
|  |  | parent,
|  |  | category,
|  |  | text,
|  |  | help = '',
|  |  | command = None,
|  |  | value = '',
|  |  | width = 12,
|  |  | relief = SUNKEN,
|  |  | side = LEFT,
|  |  | fill = X,
|  |  | expand = 0 )

     createLabeledEntry(parent, category, text, [options])

## ◆ newCreateOptionMenu()

newCreateOptionMenu | ( |  | self,
|  |  | parent,
|  |  | category,
|  |  | text,
|  |  | help = '',
|  |  | command = None,
|  |  | items = [],
|  |  | labelpos = W,
|  |  | label_anchor = W,
|  |  | label_width = 16,
|  |  | menu_tearoff = 1,
|  |  | side = LEFT,
|  |  | fill = X,
|  |  | expand = 0,
|  | ** | kw )

## ◆ newCreateRadiobutton()

newCreateRadiobutton | ( |  | self,
|  |  | parent,
|  |  | category,
|  |  | text,
|  |  | variable,
|  |  | value,
|  |  | command = None,
|  |  | help = '',
|  |  | anchor = W,
|  |  | side = LEFT,
|  |  | fill = X,
|  |  | expand = 0,
|  | ** | kw )

    createRadiobutton(parent, category, text, variable, value, [options])

## ◆ newCreateSider()

newCreateSider | ( |  | self,
|  |  | parent,
|  |  | category,
|  |  | text,
|  |  | help = '',
|  |  | command = None,
|  |  | side = LEFT,
|  |  | fill = X,
|  |  | expand = 0,
|  | ** | kw )

## ◆ newCreateVector2Entry()

newCreateVector2Entry | ( |  | self,
|  |  | parent,
|  |  | category,
|  |  | text,
|  |  | help = '',
|  |  | command = None,
|  |  | side = LEFT,
|  |  | fill = X,
|  |  | expand = 0,
|  | ** | kw )

## ◆ newCreateVector3Entry()

newCreateVector3Entry | ( |  | self,
|  |  | parent,
|  |  | category,
|  |  | text,
|  |  | help = '',
|  |  | command = None,
|  |  | side = LEFT,
|  |  | fill = X,
|  |  | expand = 0,
|  | ** | kw )

## ◆ onDestroy()

onDestroy | ( |  | self,
|  |  | event )

Reimplemented in DirectSessionPanel, FSMInspector, MopathRecorder, Placer, and TaskManagerPanel.

## ◆ quit()

quit | ( |  | self | ) |

## ◆ showAbout()

showAbout | ( |  | self | ) |

## ◆ toggleBalloon()

toggleBalloon | ( |  | self | ) |

Reimplemented in FSMInspector.

## ◆ transformRGB()

transformRGB | ( |  | self,
|  |  | rgb,
|  |  | max = 1.0 )

## ◆ updateProgress()

updateProgress | ( |  | self,
|  |  | newValue = 0,
|  |  | newMax = 0 )

## Member Data Documentation

## ◆ _hull

_hull = self.component('hull')
| protected

## ◆ about

about

Initial value:
= Pmw.AboutDialog(self._hull,
applicationname=self.appname)

## ◆ appname

appname = 'Generic Application Frame'
| static

## ◆ appversion

appversion = '1.0'
| static

## ◆ balloonState

str balloonState = 'none'
| static

## ◆ contactemail

contactemail = 'Mark.Mine@disney.com'
| static

## ◆ contactname

contactname = 'Mark R. Mine'
| static

## ◆ contactphone

contactphone = '(818) 544-2921'
| static

## ◆ copyright

copyright
| static

Initial value:
= ('Copyright 2004 Walt Disney Imagineering.' +
' All Rights Reserved')

## ◆ dataArea

dataArea

Initial value:
= self.createcomponent('dataarea',
(), None,
Frame, (self._hull,),
relief=GROOVE,
bd=1)

## ◆ frameHeight

frameHeight = 320
| static

## ◆ frameWidth

frameWidth = 450
| static

## ◆ id

str id = self.appname + '-' + repr(AppShell.panelCount)

## ◆ menuBar

menuBar

Initial value:
= self.createcomponent('menubar', (), None,
Pmw.MenuBar,
(self.menuFrame,),
hull_relief=FLAT,
hull_borderwidth=0,
balloon=self.balloon())

## ◆ menuFrame

menuFrame = Frame(self._hull)

## ◆ onDestroy

onDestroy

Reimplemented in DirectSessionPanel, FSMInspector, MopathRecorder, Placer, and TaskManagerPanel.

## ◆ padx

int padx = 5
| static

## ◆ pady

int pady = 5
| static

## ◆ panelCount

int panelCount = 0
| static

## ◆ parent

parent = Toplevel()

## ◆ toggleBalloonVar

toggleBalloonVar = IntVar()

## ◆ usecommandarea

int usecommandarea = 0
| static

## ◆ usestatusarea

int usestatusarea = 0
| static

## ◆ variableDict

dict variableDict = {}

## ◆ widgetDict

dict widgetDict = {}